summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
authorDennis Lee <dennis@dennislee.xyz>2020-04-04 13:00:08 -0700
committerDennis Lee <dennis@dennislee.xyz>2020-04-04 13:00:08 -0700
commita29eaec506a7ce9e42d64a3ec1d17690387def30 (patch)
tree17c939a9991773af7ab91325125e47f001613e22 /.local/bin
parent82cf021b78d235ca98df61d4ce55d4c0969c2e5f (diff)
downloadeibhear-a29eaec506a7ce9e42d64a3ec1d17690387def30.tar.gz
eibhear-a29eaec506a7ce9e42d64a3ec1d17690387def30.tar.zst
eibhear-a29eaec506a7ce9e42d64a3ec1d17690387def30.zip
substitute ~/.config with $XDG_CONFIG_HOME
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/cron/crontog2
-rwxr-xr-x.local/bin/statusbar/clock2
-rwxr-xr-x.local/bin/statusbar/iplocate2
-rwxr-xr-x.local/bin/statusbar/news2
4 files changed, 4 insertions, 4 deletions
diff --git a/.local/bin/cron/crontog b/.local/bin/cron/crontog
index 67f620b..9889d76 100755
--- a/.local/bin/cron/crontog
+++ b/.local/bin/cron/crontog
@@ -3,4 +3,4 @@
# Toggles all cronjobs off/on.
# Stores disabled crontabs in ~/.consaved until restored.
-([ -f ~/.config/cronsaved ] && crontab - < ~/.config/cronsaved && rm ~/.config/cronsaved && notify-send "🕓 Cronjobs re-enabled.") || ( crontab -l > ~/.config/cronsaved && crontab -r && notify-send "🕓 Cronjobs saved and disabled.")
+([ -f $XDG_CONFIG_HOME/cronsaved ] && crontab - < $XDG_CONFIG_HOME/cronsaved && rm $XDG_CONFIG_HOME/cronsaved && notify-send "🕓 Cronjobs re-enabled.") || ( crontab -l > $XDG_CONFIG_HOME/cronsaved && crontab -r && notify-send "🕓 Cronjobs saved and disabled.")
diff --git a/.local/bin/statusbar/clock b/.local/bin/statusbar/clock
index d17f3c6..f412bcb 100755
--- a/.local/bin/statusbar/clock
+++ b/.local/bin/statusbar/clock
@@ -4,7 +4,7 @@ date '+%Y %b %d (%a) %I:%M%p'
case $BLOCK_BUTTON in
1) pgrep -x dunst >/dev/null && notify-send "This Month" "$(cal --color=always | sed "s/..7m/<b><span color=\"red\">/;s/..27m/<\/span><\/b>/")" && notify-send "Appointments" "$(calcurse -d3)" ;;
- 2) $TERMINAL -e calcurse -D ~/.config/calcurse ;;
+ 2) $TERMINAL -e calcurse -D $XDG_CONFIG_HOME/calcurse ;;
3) pgrep -x dunst >/dev/null && notify-send "📅 Time/date module" "\- Left click to show upcoming appointments for the next three days via \`calcurse -d3\` and show the month via \`cal\`
- Middle click opens calcurse if installed" ;;
esac
diff --git a/.local/bin/statusbar/iplocate b/.local/bin/statusbar/iplocate
index 4ca4f10..6d1038c 100755
--- a/.local/bin/statusbar/iplocate
+++ b/.local/bin/statusbar/iplocate
@@ -6,4 +6,4 @@
# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
ifinstalled "geoiplookup" || exit
addr="$(curl ifconfig.me 2>/dev/null)" || exit
-grep "flag: " ~/.config/emoji | grep "$(geoiplookup $addr | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"
+grep "flag: " $XDG_CONFIG_HOME/emoji | grep "$(geoiplookup $addr | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"
diff --git a/.local/bin/statusbar/news b/.local/bin/statusbar/news
index a8842ad..e72ef57 100755
--- a/.local/bin/statusbar/news
+++ b/.local/bin/statusbar/news
@@ -14,4 +14,4 @@ case $BLOCK_BUTTON in
<b>Note:</b> Only one instance of newsboat (including updates) may be running at a time." ;;
esac
- cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰 " $1}' | sed s/^0$//g)$(cat ~/.config/newsboat/.update 2>/dev/null)"
+ cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰 " $1}' | sed s/^0$//g)$(cat $XDG_CONFIG_HOME/newsboat/.update 2>/dev/null)"